Cambrionix connect
Developers
Cloud API reference · v1.0

Settings API

The settings service facilitates cross service and organization settings such as Save Queries or Metadata Properties.

Base URL

https://connect.cambrionix.com/api

Token audience

b2d57903-6cc0-4099-aeaa-926d441a4131

OpenAPI document

https://connect.cambrionix.com/api/settings/v1/openapi.json

Get an access token

Request a token for this API's audience with your service account's client credentials, then send it as Authorization: Bearer <token>.

curl -X POST "https://connect.cambrionix.com/api/v1/organizations/$CONNECT_ORGANIZATION_ID/oauth2/token" \
  -H "Content-Type: application/json" \
  -d '{"grant_type": "client_credentials", "client_id": "'"$CONNECT_CLIENT_ID"'", "client_secret": "'"$CONNECT_CLIENT_SECRET"'", "audience": "b2d57903-6cc0-4099-aeaa-926d441a4131", "scope": "*"}'

Endpoints

Metadata Properties

View and manage metadata properties.

GET

List Organization Metadata Properties

GET

Get a Organization Metadata Property

PATCH

Update a Organization Metadata Property

DELETE

Delete a Organization Metadata Property

POST

Create a Organization Metadata Property